import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';
import { Crossmint } from '@crossmint/common-sdk-base';

declare function getCachedJwt(): string | undefined;
type AuthContextType = {
    login: () => void;
    logout: () => void;
    jwt: string | undefined;
};
type AuthProviderParams = {
    setJwtToken: (jwtToken: string | undefined) => void;
    crossmint: Crossmint;
    children: ReactNode;
};
declare function AuthProvider({ children, crossmint, setJwtToken }: AuthProviderParams): react_jsx_runtime.JSX.Element;
declare function useAuth(): AuthContextType;

export { AuthProvider, type AuthProviderParams, getCachedJwt, useAuth };
